{% extends 'videohostingapp/base.html' %}
{% load static %}
{% block content %}
<section class="section">
    <div class="container">
        <div class="columns">
            <div class="column">
                <video controls loop = "true" autoplay = "true">
                    <source src="{{video.video.url}}">
                </video>
            </div>
        </div>
        <div class="columns">
            <div class="column">
                <h3 class="subtitle is-3 has-text-weight-light has-text-weight-bold">{{video.title}}</h3>
            </div>
            <div class="columns mt-2">
                <div class="column">
                    <form action="{% url 'like' video.slug %}" method="POST">
                        {% csrf_token %}
                        <button type="submit" class="button is-link is-rounded is-outlined ">
                            <span class="subtitle is-5 px-1 has-text-info"> <i class="fas fa-thumbs-up"></i>
                                {{video.like_set.count}}
                            </span>
                        </button>
                    </form>
                </div>
                <div class="column">
                    <form action="{% url 'dislike' video.slug %}" method="POST">
                        {% csrf_token %}
                        <button type="submit" class="button is-danger is-rounded is-outlined ">
                            <span class="subtitle is-5 px-1 has-text-danger-dark" > <i class="fas fa-thumbs-down"></i>
                                {{video.dislike_set.count}}
                            </span>
                        </button>
                    </form>
                </div>
            </div>
        </div>
        <div class="columns">
            <div class="column is-8">
                <h5 class="subtitle is-5 has-text-weight-light">
                    {{video.description}}
                </h5>
            </div>
        </div>
        <div class="columns">
            <div class="column">
                <time>{{video.date|time:"H:i"}} - {{video.date|date:" j F Y"}} | </time>
                <span class="icon has-text-info ml-4 ">
                    <i class="fas fa-eye mr-1 "></i>
                    <p>{{video.views}}</p>
                </span> 
            </div>
        </div>
    </div>
    <hr/>
</section>

<section class="section">
    <div class="container">
        <div class="columns">
            <div class="column is-7">
                {% for comment in video.comments.all %}
                <h1 class="subtitle is-5 has-text-weight-light"><span class="has-text-weight-bold">{{comment.author_name}}:</span>
                    <span class="subtitle is-5 text-weight-light">{{comment.comment_text}}</span></h1>
                {% endfor %}
                <form action="{% url 'leave_comment' video.slug %}" method="POST">
                    {% csrf_token %}
                    
                        <input type="text" class="input  is-rounded  mb-2" name="name" placeholder="Username" >
                        <textarea id="comment" type='text' class="textarea is-info is-medium" name="comment_text" placeholder="Leave comment" aria-required="true">
                        </textarea>
                   
                    <button class="button is-link is-rounded  mt-3 px-5" type="submit" >Comment</button>
                    <button class="button is-danger is-rounded  mt-3 px-5" type="reset" >Delet comment</button>
                </form>
            </div>
        </div>
    </div>
</section>
{% endblock %}